org.jbpm.services.task.audit.impl.model

## Class BAMTaskSummaryImpl_

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.BAMTaskSummaryImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class BAMTaskSummaryImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CREATED_DATE`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Date>` | `createdDate`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Long>` | `duration`
    `static String` | `DURATION`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Date>` | `end`
    `static String` | `END`
    `static String` | `END_DATE`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Date>` | `endDate`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Long>` | `pk`
    `static String` | `PK`
    `static String` | `PROCESS_INSTANCE_ID`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Long>` | `processInstanceId`
    `static String` | `START_DATE`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Date>` | `startDate`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,String>` | `status`
    `static String` | `STATUS`
    `static String` | `TASK_ID`
    `static String` | `TASK_NAME`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Long>` | `taskId`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,String>` | `taskName`
    `static String` | `USER_ID`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,String>` | `userId`
    `static javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Integer>` | `version`
    `static String` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BAMTaskSummaryImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### duration

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Long> duration

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Long> processInstanceId

    - #### createdDate

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Date> createdDate

    - #### endDate

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Date> endDate

    - #### taskName

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,String> taskName

    - #### end

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Date> end

    - #### pk

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Long> pk

    - #### version

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Integer> version

    - #### userId

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,String> userId

    - #### taskId

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Long> taskId

    - #### startDate

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,Date> startDate

    - #### status

          public static volatile javax.persistence.metamodel.SingularAttribute<BAMTaskSummaryImpl,String> status

    - #### DURATION

          public static final String DURATION

      See Also:
        Constant Field Values

    - #### PROCESS_INSTANCE_ID

          public static final String PROCESS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### CREATED_DATE

          public static final String CREATED_DATE

      See Also:
        Constant Field Values

    - #### END_DATE

          public static final String END_DATE

      See Also:
        Constant Field Values

    - #### TASK_NAME

          public static final String TASK_NAME

      See Also:
        Constant Field Values

    - #### END

          public static final String END

      See Also:
        Constant Field Values

    - #### PK

          public static final String PK

      See Also:
        Constant Field Values

    - #### VERSION

          public static final String VERSION

      See Also:
        Constant Field Values

    - #### USER_ID

          public static final String USER_ID

      See Also:
        Constant Field Values

    - #### TASK_ID

          public static final String TASK_ID

      See Also:
        Constant Field Values

    - #### START_DATE

          public static final String START_DATE

      See Also:
        Constant Field Values

    - #### STATUS

          public static final String STATUS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BAMTaskSummaryImpl_

          public BAMTaskSummaryImpl_()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.